diff -aruN --binary 14/administrator/components/com_admin/admin.admin.html.php 15/administrator/components/com_admin/admin.admin.html.php
--- 14/administrator/components/com_admin/admin.admin.html.php	2009-05-29 14:51:00.000000000 +0200
+++ 15/administrator/components/com_admin/admin.admin.html.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: admin.admin.html.php 11300 2008-11-22 02:19:40Z ian $
+ * @version		$Id: admin.admin.html.php 12694 2009-09-11 21:03:02Z ian $
  * @package		Joomla
  * @subpackage	Admin
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -145,7 +145,7 @@
 			$langTag = 'en-GB';		// use english as fallback
 		}
 
-		if (!eregi( '\.html$', $page )) {
+		if (!preg_match( '#\.html$#i', $page )) {
 			$page .= '.xml';
 		}
 		?>
diff -aruN --binary 14/administrator/components/com_admin/tmpl/sysinfo_config.php 15/administrator/components/com_admin/tmpl/sysinfo_config.php
--- 14/administrator/components/com_admin/tmpl/sysinfo_config.php	2009-05-29 14:51:00.000000000 +0200
+++ 15/administrator/components/com_admin/tmpl/sysinfo_config.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: sysinfo_config.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: sysinfo_config.php 12694 2009-09-11 21:03:02Z ian $
  */
 // No direct access
 defined('_JEXEC') or die('Restricted access');
@@ -32,29 +32,29 @@
 			$cf = file( JPATH_CONFIGURATION . '/configuration.php' );
 			$config_output = array();
 			foreach ($cf as $k => $v) {
-				if (eregi( 'var \$host', $v)) {
+				if (preg_match( '#var \$host#i', $v)) {
 					$cf[$k] = 'var $host = \'xxxxxx\'';
-				} else if (eregi( 'var \$user', $v)) {
+				} else if (preg_match( '#var \$user#i', $v)) {
 					$cf[$k] = 'var $user = \'xxxxxx\'';
-				} else if (eregi( 'var \$password', $v)) {
+				} else if (preg_match( '#var \$password#i', $v)) {
 					$cf[$k] = 'var $password = \'xxxxxx\'';
-				} else if (eregi( 'var \$db ', $v)) {
+				} else if (preg_match( '#var \$db#i', $v)) {
 					$cf[$k] = 'var $db = \'xxxxxx\'';
-				} else if (eregi( 'var \$ftp_user ', $v)) {
+				} else if (preg_match( '#var \$ftp_user#i', $v)) {
 					$cf[$k] = 'var $ftp_user = \'xxxxxx\'';
-				} else if (eregi( 'var \$ftp_pass ', $v)) {
+				} else if (preg_match( '#var \$ftp_pass#i', $v)) {
 					$cf[$k] = 'var $ftp_pass = \'xxxxxx\'';
-				} else if (eregi( 'var \$smtpuser ', $v)) {
+				} else if (preg_match( '#var \$smtpuser#i', $v)) {
 					$cf[$k] = 'var $smtpuser = \'xxxxxx\'';
-				} else if (eregi( 'var \$smtppass ', $v)) {
+				} else if (preg_match( '#var \$smtppass#i', $v)) {
 					$cf[$k] = 'var $smtppass = \'xxxxxx\'';
-				} else if (eregi( '<?php', $v)) {
+				} else if (preg_match( '#<\?php#i', $v)) {
 					$cf[$k] = '';
-				} else if (eregi( '\?>', $v)) {
+				} else if (preg_match( '#\?>#i', $v)) {
 					$cf[$k] = '';
-				} else if (eregi( '}', $v)) {
+				} else if (preg_match( '#\}#i', $v)) {
 					$cf[$k] = '';
-				} else if (eregi( 'class JConfig {', $v)) {
+				} else if (preg_match( '#class JConfig \{#i', $v)) {
 					$cf[$k] = '';
 				}
 				$cf[$k]		= str_replace('var ','',$cf[$k]);
diff -aruN --binary 14/administrator/components/com_banners/views/banner.php 15/administrator/components/com_banners/views/banner.php
--- 14/administrator/components/com_banners/views/banner.php	2009-05-29 14:51:00.000000000 +0200
+++ 15/administrator/components/com_banners/views/banner.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: banner.php 11655 2009-03-08 20:04:17Z willebil $
+ * @version		$Id: banner.php 12694 2009-09-11 21:03:02Z ian $
  * @package		Joomla
  * @subpackage	Banners
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -432,7 +432,7 @@
 									<param name="movie" value="../images/banners/<?php echo $row->imageurl; ?>"><embed src="../images/banners/<?php echo $row->imageurl; ?>" loop="false" pluginspage="http://www.macromedia.com/go/get/flashplayer" type="application/x-shockwave-flash"  width="<?php echo $lists['width'];?>" height="<?php echo $lists['height'];?>"></embed>
 								</object>
 								<?php
-							} elseif (eregi("gif|jpg|png", $row->imageurl)) {
+							} elseif (preg_match("#gif|jpg|png#i", $row->imageurl)) {
 								?>
 								<img src="../images/banners/<?php echo $row->imageurl; ?>" name="imagelib" />
 								<?php
diff -aruN --binary 14/administrator/components/com_config/controllers/application.php 15/administrator/components/com_config/controllers/application.php
--- 14/administrator/components/com_config/controllers/application.php	2009-06-30 22:01:32.000000000 +0200
+++ 15/administrator/components/com_config/controllers/application.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: application.php 12389 2009-07-01 00:34:45Z ian $
+ * @version		$Id: application.php 13243 2009-10-20 04:01:04Z ian $
  * @package		Joomla
  * @subpackage	Config
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -117,7 +117,7 @@
 		$lists['force_ssl'] = JHTML::_('select.genericlist', $forceSSL, 'force_ssl', 'class="inputbox" size="1"', 'value', 'text', @$row->force_ssl);
 
 		// LOCALE SETTINGS
-		$timeoffset = array (	
+		$timeoffset = array (
 			JHTML::_('select.option', -12, JText::_('(UTC -12:00) International Date Line West')),
 			JHTML::_('select.option', -11, JText::_('(UTC -11:00) Midway Island, Samoa')),
 			JHTML::_('select.option', -10, JText::_('(UTC -10:00) Hawaii')),
@@ -147,7 +147,7 @@
 			JHTML::_('select.option', 6.30, JText::_('(UTC +06:30) Yagoon')),
 			JHTML::_('select.option', 7, JText::_('(UTC +07:00) Bangkok, Hanoi, Jakarta')),
 			JHTML::_('select.option', 8, JText::_('(UTC +08:00) Beijing, Perth, Singapore, Hong Kong')),
-			JHTML::_('select.option', 8.75, JText::_('(UTC +08:00) Western Australia')),
+			JHTML::_('select.option', 8.75, JText::_('(UTC +08:00) Ulaanbaatar, Western Australia')),
 			JHTML::_('select.option', 9, JText::_('(UTC +09:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk')),
 			JHTML::_('select.option', 9.5, JText::_('(UTC +09:30) Adelaide, Darwin, Yakutsk')),
 			JHTML::_('select.option', 10, JText::_('(UTC +10:00) Eastern Australia, Guam, Vladivostok')),
@@ -162,7 +162,7 @@
 
 		// MAIL SETTINGS
 		$mailer = array (
-			JHTML::_('select.option', 'mail', JText::_('PHP mail function')), 
+			JHTML::_('select.option', 'mail', JText::_('PHP mail function')),
 			JHTML::_('select.option', 'sendmail', JText::_('Sendmail')),
 			JHTML::_('select.option', 'smtp', JText::_('SMTP Server')));
 		$lists['mailer'] = JHTML::_('select.genericlist',  $mailer, 'mailer', 'class="inputbox" size="1"', 'value', 'text', $row->mailer);
@@ -206,7 +206,7 @@
 		$emailOptions = array (	JHTML::_('select.option', 'author', JText::_('Author Email')),
 								JHTML::_('select.option', 'site', JText::_('Site Email')));
 		$lists['feed_email'] = JHTML::_('select.genericlist', $emailOptions, 'feed_email', 'class="inputbox" size="1"', 'value', 'text', (@$row->feed_email) ? $row->feed_email : 'author');
-		
+
 		// SESSION SETTINGS
 		$stores = JSession::getStores();
 		$options = array();
diff -aruN --binary 14/administrator/components/com_config/views/application/view.php 15/administrator/components/com_config/views/application/view.php
--- 14/administrator/components/com_config/views/application/view.php	2009-05-29 14:51:16.000000000 +0200
+++ 15/administrator/components/com_config/views/application/view.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: view.php 10882 2008-08-31 17:55:14Z willebil $
+ * @version		$Id: view.php 13237 2009-10-20 01:00:39Z ian $
  * @package		Joomla
  * @subpackage	Config
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -52,7 +52,7 @@
 		jimport('joomla.client.helper');
 		$ftp =& JClientHelper::setCredentialsFromRequest('ftp');
 		?>
-		<form action="index.php" method="post" name="adminForm">
+		<form action="index.php" method="post" name="adminForm" autocomplete="off">
 		<?php if ($ftp) {
 			require_once($tmplpath.DS.'ftp.php');
 		} ?>
diff -aruN --binary 14/administrator/components/com_contact/tables/contact.php 15/administrator/components/com_contact/tables/contact.php
--- 14/administrator/components/com_contact/tables/contact.php	2009-05-29 14:51:02.000000000 +0200
+++ 15/administrator/components/com_contact/tables/contact.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: contact.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: contact.php 12694 2009-09-11 21:03:02Z ian $
  * @package		Joomla
  * @subpackage	Contact
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -101,7 +101,7 @@
 		}
 
 		// check for http on webpage
-		if (strlen($this->webpage) > 0 && (!(eregi('http://', $this->webpage) || (eregi('https://', $this->webpage)) || (eregi('ftp://', $this->webpage))))) {
+		if (strlen($this->webpage) > 0 && (!(preg_match('#http://#i', $this->webpage) || (preg_match('#https://#i', $this->webpage)) || (preg_match('#ftp://#i', $this->webpage))))) {
 			$this->webpage = 'http://'.$this->webpage;
 		}
 
diff -aruN --binary 14/administrator/components/com_media/media.php 15/administrator/components/com_media/media.php
--- 14/administrator/components/com_media/media.php	2009-05-29 14:51:32.000000000 +0200
+++ 15/administrator/components/com_media/media.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: media.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: media.php 12696 2009-09-12 02:08:54Z ian $
  * @package		Joomla
  * @subpackage	Media
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -31,7 +31,7 @@
 $popup_upload = JRequest::getCmd('pop_up',null);
 $path = "file_path";
 if(substr(strtolower($view),0,6) == "images" || $popup_upload == 1) $path = "image_path";
-define('COM_MEDIA_BASE',    JPATH_ROOT.DS.$params->get($path, 'images/stories'));
+define('COM_MEDIA_BASE',    JPath::clean(JPATH_ROOT.DS.$params->get($path, 'images'.DS.'stories')));
 define('COM_MEDIA_BASEURL', JURI::root().$params->get($path, 'images/stories'));
 
 // Require the base controller
diff -aruN --binary 14/administrator/components/com_media/models/manager.php 15/administrator/components/com_media/models/manager.php
--- 14/administrator/components/com_media/models/manager.php	2009-05-29 14:51:26.000000000 +0200
+++ 15/administrator/components/com_media/models/manager.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: manager.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: manager.php 13297 2009-10-24 01:29:37Z ian $
  * @package		Joomla
  * @subpackage	Content
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -64,7 +64,6 @@
 
 		// Load appropriate language files
 		$lang = & JFactory::getLanguage();
-		$lang->load('', JPATH_ADMINISTRATOR);
 		$lang->load(JRequest::getCmd( 'option' ), JPATH_ADMINISTRATOR);
 
 		$document =& JFactory::getDocument();
diff -aruN --binary 14/administrator/components/com_menus/classes/ilink.php 15/administrator/components/com_menus/classes/ilink.php
--- 14/administrator/components/com_menus/classes/ilink.php	2009-05-29 14:50:54.000000000 +0200
+++ 15/administrator/components/com_menus/classes/ilink.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: ilink.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: ilink.php 12694 2009-09-11 21:03:02Z ian $
  * @package		Joomla
  * @subpackage	Menus
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -151,7 +151,8 @@
 
 		// Does the metadata file say no options available?
 		if ($e->attributes('options') == 'none') {
-			$node =& new iLinkNode($e->attributes('name'), $purl, $e->attributes('msg'));
+			unset($node);
+			$node = new iLinkNode($e->attributes('name'), $purl, $e->attributes('msg'));
 			$parent->addChild($node);
 			return true;
 		}
@@ -164,10 +165,12 @@
 			{
 				if ($child->name() == 'option') {
 					$url = $purl.'&amp;url['.$options->attributes('var').']='.$child->attributes('value');
-					$node =& new iLinkNode($child->attributes('name'), $url, $child->attributes('msg'));
+					unset($node);
+					$node = new iLinkNode($child->attributes('name'), $url, $child->attributes('msg'));
 					$parent->addChild($node);
 				} elseif ($child->name() == 'default') {
-					$node =& new iLinkNode($child->attributes('name'), $purl, $child->attributes('msg'));
+					unset($node);
+					$node = new iLinkNode($child->attributes('name'), $purl, $child->attributes('msg'));
 					$parent->addChild($node);
 				}
 			}
@@ -213,7 +216,8 @@
 							if ($m) {
 								$message = $m->data();
 							}
-							$node =& new iLinkNode($data->attributes('title'), $url, $message);
+							unset($node);
+							$node = new iLinkNode($data->attributes('title'), $url, $message);
 							$this->addChild($node);
 							if ($options = $data->getElementByPath('options')) {
 								$this->_getOptions($data, $node, $url);
@@ -223,7 +227,8 @@
 						}
 					} else {
 						$onclick = null;
-						$node =& new iLinkNode(ucfirst($view), $url);
+						unset($node);
+						$node = new iLinkNode(ucfirst($view), $url);
 						$this->addChild($node);
 						$this->_getLayouts(dirname($xmlpath), $node);
 					}
@@ -267,12 +272,14 @@
 								if ($m) {
 									$message = $m->data();
 								}
-								$child =& new iLinkNode($data->attributes('title'), $url, $message);
+								unset($child);
+								$child = new iLinkNode($data->attributes('title'), $url, $message);
 								$node->addChild($child);
 							}
 						} else {
 							// Add default info for the layout
-							$child =& new iLinkNode(ucfirst($layout).' '.JText::_('Layout'), $url);
+							unset($child);
+							$child = new iLinkNode(ucfirst($layout).' '.JText::_('Layout'), $url);
 							$node->addChild($child);
 						}
 					}
@@ -387,4 +394,4 @@
 		$this->url		= $url;
 		$this->msg		= trim($msg);
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 14/administrator/components/com_menus/views/item/tmpl/form.php 15/administrator/components/com_menus/views/item/tmpl/form.php
--- 14/administrator/components/com_menus/views/item/tmpl/form.php	2009-05-29 14:50:56.000000000 +0200
+++ 15/administrator/components/com_menus/views/item/tmpl/form.php	2009-11-04 18:51:18.000000000 +0100
@@ -144,6 +144,7 @@
 								<?php echo JHTML::_('list.accesslevel',  $this->item ); ?>
 							</td>
 						</tr>
+						<?php if ($this->item->type != "menulink") : ?>
 						<tr>
 							<td class="key" valign="top" align="right">
 								<?php echo JText::_( 'On Click, Open in' ); ?>:
@@ -152,6 +153,7 @@
 								<?php echo MenusHelper::Target( $this->item ); ?>
 							</td>
 						</tr>
+						<?php endif; ?>
 					</table>
 				</fieldset>
 			</td>
diff -aruN --binary 14/administrator/components/com_weblinks/tables/weblink.php 15/administrator/components/com_weblinks/tables/weblink.php
--- 14/administrator/components/com_weblinks/tables/weblink.php	2009-05-29 14:51:26.000000000 +0200
+++ 15/administrator/components/com_weblinks/tables/weblink.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: weblink.php 11253 2008-11-10 23:38:48Z ircmaxell $
+* @version		$Id: weblink.php 12694 2009-09-11 21:03:02Z ian $
 * @package		Joomla
 * @subpackage	Weblinks
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -162,7 +162,7 @@
 			return false;
 		}
 
-		if (!(eregi('http://', $this->url) || (eregi('https://', $this->url)) || (eregi('ftp://', $this->url)))) {
+		if (!(preg_match('#http://#i', $this->url) || (preg_match('#https://#i', $this->url)) || (preg_match('#ftp://#i', $this->url)))) {
 			$this->url = 'http://'.$this->url;
 		}
 
diff -aruN --binary 14/administrator/includes/framework.php 15/administrator/includes/framework.php
--- 14/administrator/includes/framework.php	2009-07-30 21:02:22.000000000 +0200
+++ 15/administrator/includes/framework.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: framework.php 12584 2009-07-30 17:46:47Z ian $
+* @version		$Id: framework.php 13415 2009-11-03 15:53:25Z ian $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
diff -aruN --binary 14/administrator/language/en-GB/en-GB.com_content.ini 15/administrator/language/en-GB/en-GB.com_content.ini
--- 14/administrator/language/en-GB/en-GB.com_content.ini	2009-06-30 22:01:32.000000000 +0200
+++ 15/administrator/language/en-GB/en-GB.com_content.ini	2009-11-04 18:51:18.000000000 +0100
@@ -1,4 +1,4 @@
-# $Id: en-GB.com_content.ini 12386 2009-06-30 01:15:31Z ian $
+# $Id: en-GB.com_content.ini 12768 2009-09-17 04:46:46Z ian $
 # Joomla! Project
 # Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 # License http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
@@ -186,4 +186,3 @@
 YOU CANNOT EDIT AN ARCHIVED ITEM=You cannot edit an Archived Article.
 YOU MUST SELECT A CATEGORY=You must select a Category.
 YOU MUST SELECT A SECTION=You must select a Section.
-TOGGLE EDITOR=Toggle editor
diff -aruN --binary 14/administrator/language/en-GB/en-GB.com_media.ini 15/administrator/language/en-GB/en-GB.com_media.ini
--- 14/administrator/language/en-GB/en-GB.com_media.ini	2009-07-23 04:25:36.000000000 +0200
+++ 15/administrator/language/en-GB/en-GB.com_media.ini	2009-11-04 18:51:18.000000000 +0100
@@ -1,4 +1,4 @@
-# $Id: en-GB.com_media.ini 12540 2009-07-22 17:34:44Z ian $
+# $Id: en-GB.com_media.ini 13311 2009-10-24 04:13:49Z ian $
 # Joomla! Project
 # Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 # License http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
@@ -30,6 +30,7 @@
 DIRECTORY=Directory
 DIRECTORY UP=Directory Up
 DOES NOT EXIST.=does not exist!
+ERROR. FILE ALREADY EXISTS=Error. File already exists
 ERROR. UNABLE TO UPLOAD FILE=Error. Unable to upload file.
 FILESIZE=Filesize
 FILES/FOLDERS IN=files/folders in
@@ -70,6 +71,7 @@
 NUMFILES=Files:
 NUMFOLDERS=Folders:
 PLEASE DELETE ALL FILES/FOLDER IN=Please delete all files/folder in
+PLEASE INPUT A FILE FOR UPLOAD=Please input a file for upload
 PX=px
 REMOVE FROM QUEUE=Remove from queue
 SELECT FILE=Select File
diff -aruN --binary 14/administrator/language/en-GB/en-GB.ini 15/administrator/language/en-GB/en-GB.ini
--- 14/administrator/language/en-GB/en-GB.ini	2009-06-30 22:01:32.000000000 +0200
+++ 15/administrator/language/en-GB/en-GB.ini	2009-11-04 18:51:18.000000000 +0100
@@ -1,4 +1,4 @@
-# $Id: en-GB.ini 12308 2009-06-23 04:05:28Z ian $
+# $Id: en-GB.ini 13243 2009-10-20 04:01:04Z ian $
 # Joomla! Project
 # Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 # License http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
@@ -109,7 +109,7 @@
 (UTC +06:30) YAGOON=(UTC +06:30) Yagoon
 (UTC +07:00) BANGKOK, HANOI, JAKARTA=(UTC +07:00) Bangkok, Hanoi, Jakarta
 (UTC +08:00) BEIJING, PERTH, SINGAPORE, HONG KONG=(UTC +08:00) Beijing, Perth, Singapore, Hong Kong
-(UTC +08:00) WESTERN AUSTRALIA=(UTC +08:00) Western Australia
+(UTC +08:00) ULAANBAATAR, WESTERN AUSTRALIA=(UTC +08:00) Ulaanbaatar, Western Australia
 (UTC +09:00) TOKYO, SEOUL, OSAKA, SAPPORO, YAKUTSK=(UTC +09:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk
 (UTC +09:30) ADELAIDE, DARWIN, YAKUTSK=(UTC +09:30) Adelaide, Darwin, Yakutsk
 (UTC +10:00) EASTERN AUSTRALIA, GUAM, VLADIVOSTOK=(UTC +10:00) Eastern Australia, Guam, Vladivostok
@@ -315,6 +315,7 @@
 JOOMLA! ADMINISTRATION LOGIN=Joomla! Administration Login
 JOOMLA! LOGO=Joomla! Logo
 JOOMLA WARNING=Joomla! Warning
+JPAGE_CURRENT_OF_TOTAL=Page %s of %s
 LANGUAGE=Language Name
 LAST=Last
 LAST MODIFIED=Last Modified
diff -aruN --binary 14/administrator/language/en-GB/en-GB.plg_editors_tinymce.ini 15/administrator/language/en-GB/en-GB.plg_editors_tinymce.ini
--- 14/administrator/language/en-GB/en-GB.plg_editors_tinymce.ini	2009-06-30 22:01:32.000000000 +0200
+++ 15/administrator/language/en-GB/en-GB.plg_editors_tinymce.ini	2009-11-04 18:51:18.000000000 +0100
@@ -1,4 +1,4 @@
-# $Id: en-GB.plg_editors_tinymce.ini 12386 2009-06-30 01:15:31Z ian $
+# $Id: en-GB.plg_editors_tinymce.ini 13247 2009-10-20 04:27:52Z ian $
 # Joomla! Project
 # Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 # License http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
@@ -14,9 +14,9 @@
 CODE CLEANUP=Code Cleanup
 CODE CLEANUP ON SAVE=Code cleanup on save
 CODE CLEANUP ON STARTUP=Code Cleanup on Startup
-CODE CLEANUP UPON SAVING ARTICLE=Code cleaning upon saving article
 COMPRESSED VERSION=Compressed Version
 CUSTOM CSS CLASSES=Custom CSS Classes
+CUSTOMCSSFILENOTPRESENT=The file name %s was entered in the TinyMCE Custom CSS field. This file could not be found in the default templates folder. No styles are available.
 DATE FORMAT=Date Format
 DESCLANGCODE=Editor UI Language. A value here is mandatory if manual language selection is set.
 DESCLANGMODE=If Yes, editor language will automatically match selected UI language. Do not activate if appropriate editor languages are not installed.
@@ -45,9 +45,11 @@
 NEWLINES=New Lines
 NEWLINES WILL BE MADE INTO THE SELECTED OPTION=New lines will be created using the selected option.
 P ELEMENTS=P Elements
+PARAMBLOCKQUOTE=Insert blockquote tags around the highlighted text.
 PARAMCODECLEANUP=By default, TinyMCE will clean your code of certain HTML elements like script and center tags and check for security and XHTML compliance. We recommend you do not deactivate this functionality
+PARAMCODECLEANUPONSAVE=Recommended setting is 'Always'. Never = Do not clean up code on save. Front End = Clean up code on save when editing from front end only. Always = Cleanup on save when editing from front and back end.
 PARAMCOMPRESSEDVERSION=Tiny can be run in compressed mode resulting in slightly faster load speeds. However, this mode does not always work (especially in IE) so default for this is Off.  Be careful when enabling this to ensure it works on your system.
-PARAMCUSTOMCSS=You can specify the loading of a custom CSS file. Simply enter the full URL path to the CSS file you want loaded.  If you enter a value in this field, this will overrule the template CSS classes parameter.
+PARAMCUSTOMCSS=Optional CSS file that will override the standard editor.css file. Enter a file name to point to a file in the CSS folder of the default template (for example, templates/rhuk_milkyway/css/). Or enter a full URL path to the custom CSS file. If you enter a value in this field, this file will be used instead of the editor.css file.
 PARAMDIRECTIONALITY=Select whether to display the RTL button. Only Works in Advanced mode
 PARAMELEMENTPATH=If set to ON, it shows the set classes for the marked text.
 PARAMENTITIECLEANUP=If set to No, entities are stripped from the code.
@@ -86,8 +88,10 @@
 STYLE=Style
 TABLE=Table
 TEMPLATE CSS CLASSES=Template CSS classes
+TEMPLATECSSFILENOTPRESENT=Could not find the file 'editor.css' in the template or templates/system folder. No styles are available.
 TEXT DIRECTION=Text Direction
 TIME FORMAT=Time Format
+TOGGLE EDITOR=Toggle editor
 TOOLBAR=Toolbar
 URL BEHAVIOUR=URL behaviour
 URLS=URLs
@@ -103,9 +107,9 @@
 ADVANCED LINK=Advanced link
 ALIGNMENT OF THE TOOLBAR=Alignment of the toolbar
 ALL DIALOGS TO OPEN AS FLOATING DIV LAYERS INSTEAD OF POPUP WINDOWS. THIS OPTION CAN BE VERY USEFUL IN ORDER TO GET AROUND POPUP BLOCKERS.=All dialogs to open as floating DIV layers instead of popup windows. This option can be very useful in order to get around popup blockers.
+BLOCKQUOTE=Blockquote
 COLORS=Colors
 CONTEXT MENU=Context menu
-CONTROLS HOW ENTITIES GET PROCESSED BY EDITOR=Controls how entities get processed by editor
 CUSTOM BUTTON=Custom button
 CUSTOM PLUGIN=Custom plugin
 ENTITY ENCODING=Entity Encoding
@@ -120,6 +124,7 @@
 OFFICE2007 BLUE=Office2007 Blue
 OFFICE2007 SILVER=Office2007 Silver
 PARAMCOLORS=Show/Hide the Colors control buttons. Only applies in Extended mode
+PARAMENTITYENCODING=Controls how HTML entities are encoded. Recommended setting is 'raw'. 'named' = used named entity encoding (for example, '&lt;'). 'numeric' = use numeric HTML encoding (for example, '%03c'). raw = Do not encode HTML entities. Note that searching content may not work properly if setting is not 'raw'.
 PARAMS EXTENDED MODE=<strong>Extended Mode Options</strong><br />These options only apply in Extended mode.
 PARAMFONTS=Show/Hide the Fonts control selectors. Only applies in Extended mode
 PARAMMEDIA=Show/Hide the Media button. Only applies in Extended mode
diff -aruN --binary 14/administrator/language/es-ES/es-ES.com_config.ini 15/administrator/language/es-ES/es-ES.com_config.ini
--- 14/administrator/language/es-ES/es-ES.com_config.ini	2009-07-25 18:10:26.000000000 +0200
+++ 15/administrator/language/es-ES/es-ES.com_config.ini	2009-11-05 16:29:12.000000000 +0100
@@ -1,4 +1,4 @@
-# $Id: es-ES.com_config.ini 1.5.0 2009-07-01 10:19:41 15:45:22 ~0 $
+# $Id: es-ES.com_config.ini 1.5.0 2009-11-05 16:29:12 15:45:22 ~0 $
 # author Joomla! Spanish
 # copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/copyleft/gpl.html GNU/GPL
@@ -192,7 +192,7 @@
 TIPLOGFOLDER=Para acceder la cuenta de Joomla!, por favor, especifica una carpeta.
 TIPMAILER=Selecciona que correo deseas usar para los e-mails del sitio
 TIPMAILFROM=La dirección de e-mail que se usará para enviar correos desde el sitio
-TIPLINKS=Si está configurado en sí, los enlaces hacia el contenido para usuarios registrados será mostrado también la los visitantes sin loguear. Necesitarás loguearte para poder acceder por completo al contendido que conduce dicho enlace.
+TIPLINKS=Si está configurado en sí, los enlaces hacia el contenido para usuarios registrados será mostrado también la de los visitantes sin loguear. Necesitarás loguearte para poder acceder por completo al contendido que conduce dicho enlace.
 TIPNEWUSERTYPE=El nivel de acceso predeterminado de los nuevos usuarios que se registran desde la página principal.
 TIPPRINTPDFEMAIL=Imprimir, PDF y e-mail utilizarán iconos o texto
 TIPSECRETWORD=Esto es un código alfanumérico único, autogenerado para cada instalación de Joomla!. Se usa para funciones de seguridad
diff -aruN --binary 14/administrator/language/es-ES/es-ES.com_content.ini 15/administrator/language/es-ES/es-ES.com_content.ini
--- 14/administrator/language/es-ES/es-ES.com_content.ini	2009-07-25 18:10:24.000000000 +0200
+++ 15/administrator/language/es-ES/es-ES.com_content.ini	2009-11-05 16:17:44.000000000 +0100
@@ -1,4 +1,4 @@
-# $Id: es-ES.com_content.ini 1.5.0 2009-07-01 10:20:41 21:06:30 ~0 $
+# $Id: es-ES.com_content.ini 1.5.0 2009-11-05 16:17:44 21:06:30 ~0 $
 # author Joomla! Spanish
 # copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/copyleft/gpl.html GNU/GPL
@@ -186,5 +186,4 @@
 WHITE LIST=Lista blanca
 YOU CANNOT EDIT AN ARCHIVED ITEM=No puedes editar un artículo archivado.
 YOU MUST SELECT A CATEGORY=Debes seleccionar una categoría.
-YOU MUST SELECT A SECTION=Debes seleccionar una sección.
-TOGGLE EDITOR=Ocultar editor
\ No hay ningún carácter de nueva línea al final del fichero
+YOU MUST SELECT A SECTION=Debes seleccionar una sección.
\ No hay ningún carácter de nueva línea al final del fichero
diff -aruN --binary 14/administrator/language/es-ES/es-ES.com_media.ini 15/administrator/language/es-ES/es-ES.com_media.ini
--- 14/administrator/language/es-ES/es-ES.com_media.ini	2009-07-25 18:44:44.000000000 +0200
+++ 15/administrator/language/es-ES/es-ES.com_media.ini	2009-11-05 16:20:24.000000000 +0100
@@ -1,4 +1,4 @@
-# $Id: es-ES.com_media.ini 1.5.0 2009-07-25 18:44:43 15:24:34 ~0 $
+# $Id: es-ES.com_media.ini 1.5.0 2009-11-05 16:20:24 15:24:34 ~0 $
 # author Joomla! Spanish
 # copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
@@ -31,6 +31,7 @@
 DIRECTORY=Directorio
 DIRECTORY UP=Subir directorio
 DOES NOT EXIST.=¡no existe!
+ERROR. FILE ALREADY EXISTS=Error. El archivo ya existe
 ERROR. UNABLE TO UPLOAD FILE=Error. No se puede subir el archivo.
 FILESIZE=Tamaño del archivo
 FILES/FOLDERS IN=archivos/carpetas dentro
@@ -71,6 +72,7 @@
 NUMFILES=Archivos:
 NUMFOLDERS=Carpetas:
 PLEASE DELETE ALL FILES/FOLDER IN=Por favor, borra todos los archivos/carpetas del interior
+PLEASE INPUT A FILE FOR UPLOAD=Introduzca un archivo para subir
 PX=px
 REMOVE FROM QUEUE=Eliminar de la cola
 SELECT FILE=Selecionar Archivo
@@ -97,5 +99,4 @@
 WARNINVALIDIMG=Imagen inválida.
 WARNINVALIDMIME=Se ha encontrado un tipo de MIME inválido o no autorizado.
 WARNNOTADMIN=El archivo subido no es una imagen y tú no eres usuario con rango de Autor o superior.
-WARNIEXSS=Se ha encontrado un posible ataque del tipo XSS.
-UNABLE TO DELETE: NOT EMPTY!=Imposible borrarlo: ¡No está vacio!
\ No hay ningún carácter de nueva línea al final del fichero
+WARNIEXSS=Se ha encontrado un posible ataque del tipo XSS.
\ No hay ningún carácter de nueva línea al final del fichero
diff -aruN --binary 14/administrator/language/es-ES/es-ES.ini 15/administrator/language/es-ES/es-ES.ini
--- 14/administrator/language/es-ES/es-ES.ini	2009-07-25 18:10:16.000000000 +0200
+++ 15/administrator/language/es-ES/es-ES.ini	2009-11-05 16:22:38.000000000 +0100
@@ -1,4 +1,4 @@
-# $Id: es-ES.ini 1.5.0 2009-07-01 10:18:34 16:28:06 ~0 $
+# $Id: es-ES.ini 1.5.0 2009-11-05 16:22:39 16:28:06 ~0 $
 # author Joomla! Spanish
 # copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/copyleft/gpl.html GNU/GPL
@@ -109,7 +109,7 @@
 (UTC +06:30) YAGOON=(UTC +06:30) Yagoon
 (UTC +07:00) BANGKOK, HANOI, JAKARTA=(UTC +07:00) Bangkok, Hanoi, Jakarta
 (UTC +08:00) BEIJING, PERTH, SINGAPORE, HONG KONG=(UTC +08:00) Beijing, Perth, Singapore, Hong Kong
-(UTC +08:00) WESTERN AUSTRALIA=(UTC +08:00) Western Australia
+(UTC +08:00) ULAANBAATAR, WESTERN AUSTRALIA=(UTC +08:00) Ulaanbaatar, Western Australia
 (UTC +09:00) TOKYO, SEOUL, OSAKA, SAPPORO, YAKUTSK=(UTC +09:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk
 (UTC +09:30) ADELAIDE, DARWIN, YAKUTSK=(UTC +09:30) Adelaide, Darwin, Yakutsk
 (UTC +10:00) EASTERN AUSTRALIA, GUAM, VLADIVOSTOK=(UTC +10:00) Eastern Australia, Guam, Vladivostok
@@ -314,6 +314,7 @@
 JOOMLA! ADMINISTRATION LOGIN=Acceso a la administración de Joomla!
 JOOMLA! LOGO=Logo de Joomla!
 JOOMLA WARNING=Joomla! Advertencia
+JPAGE_CURRENT_OF_TOTAL=Página %s de %s
 LANGUAGE=Nombre del idioma
 LAST=Último
 LAST MODIFIED=Última modificación
